
[![Enterprise Modules](https://raw.githubusercontent.com/enterprisemodules/public_images/master/banner1.jpg)](https://www.enterprisemodules.com)

#### Table of Contents

1. [Overview](#overview)
2. [License](#license)
3. [Description - What the module does and why it is useful](#description)
4. [Setup](#setup)
  * [Requirements](#requirements)
  * [Installing the ovm_config module](#installing-the-ovm_config-module)
5. [Usage - Configuration options and additional functionality](#usage)
6. [Reference - An under-the-hood peek at what the module is doing and how](#reference)
7. [Limitations - OS compatibility, etc.](#limitations)

## Overview

Oracle is very strict when it comes to using their software on virtualization software. If you want to license only part of your VM setup, the only option available is to use Oracle VM. But setting up and managing an Oracle VM farm is no sinecure. Fortunately using our `ovm_config` Puppet module, the process of setting up, adding and removing VM's and another setup, has become very easy.

This module allows you to manage averything there is to manage in an Oracle VM setup. For example you can manage: VM pools, repositories, VM's and Virtual disks. Using this module you can create a puppet description of your Oracle VM setup and manage it like a pro.

## License

This is a commercially licensed module. But you can use the module on VirtualBox based development systems for **FREE**. When used on **real** systems a license is required.

You can license our modules in multiple ways. Our basic licensing model requires a subscription per node. But [contact](https://www.enterprisemodules.com/company/contact/) us for details.

Check the [License](https://forge.puppet.com/enterprisemodules/ovm_config/license) for details.

## Description

The module contains the following types:

-[`ovm_archive_management`](https://www.enterprisemodules.com/docs/ovm_config/ovm_archive_management)
-[`ovm_backup_management`](https://www.enterprisemodules.com/docs/ovm_config/ovm_backup_management)
-[`ovm_cpu`](https://www.enterprisemodules.com/docs/ovm_config/ovm_cpu)
-[`ovm_ethernet_port`](https://www.enterprisemodules.com/docs/ovm_config/ovm_ethernet_port)
-[`ovm_event_management`](https://www.enterprisemodules.com/docs/ovm_config/ovm_event_management)
-[`ovm_file_server`](https://www.enterprisemodules.com/docs/ovm_config/ovm_file_server)
-[`ovm_file_server_plugin`](https://www.enterprisemodules.com/docs/ovm_config/ovm_file_server_plugin)
-[`ovm_file_system`](https://www.enterprisemodules.com/docs/ovm_config/ovm_file_system)
-[`ovm_file_system_mount`](https://www.enterprisemodules.com/docs/ovm_config/ovm_file_system_mount)
-[`ovm_job_management`](https://www.enterprisemodules.com/docs/ovm_config/ovm_job_management)
-[`ovm_log_management`](https://www.enterprisemodules.com/docs/ovm_config/ovm_log_management)
-[`ovm_mac_management`](https://www.enterprisemodules.com/docs/ovm_config/ovm_mac_management)
-[`ovm_manager`](https://www.enterprisemodules.com/docs/ovm_config/ovm_manager)
-[`ovm_network`](https://www.enterprisemodules.com/docs/ovm_config/ovm_network)
-[`ovm_repository`](https://www.enterprisemodules.com/docs/ovm_config/ovm_repository)
-[`ovm_server`](https://www.enterprisemodules.com/docs/ovm_config/ovm_server)
-[`ovm_server_pool`](https://www.enterprisemodules.com/docs/ovm_config/ovm_server_pool)
-[`ovm_statistic_management`](https://www.enterprisemodules.com/docs/ovm_config/ovm_statistic_management)
-[`ovm_storage_array`](https://www.enterprisemodules.com/docs/ovm_config/ovm_storage_array)
-[`ovm_storage_array_plugin`](https://www.enterprisemodules.com/docs/ovm_config/ovm_storage_array_plugin)
-[`ovm_storage_element`](https://www.enterprisemodules.com/docs/ovm_config/ovm_storage_element)
-[`ovm_storage_target`](https://www.enterprisemodules.com/docs/ovm_config/ovm_storage_target)
-[`ovm_tag`](https://www.enterprisemodules.com/docs/ovm_config/ovm_tag)
-[`ovm_virtual_disk`](https://www.enterprisemodules.com/docs/ovm_config/ovm_virtual_disk)
-[`ovm_virtual_nic`](https://www.enterprisemodules.com/docs/ovm_config/ovm_virtual_nic)
-[`ovm_vlan_interface`](https://www.enterprisemodules.com/docs/ovm_config/ovm_vlan_interface)
-[`ovm_vm`](https://www.enterprisemodules.com/docs/ovm_config/ovm_vm)

Check [here](https://www.enterprisemodules.com/docs/ovm_config/description.html) to see the full documentation for this module.

## Setup

### Requirements

The [`ovm_config`](https://www.enterprisemodules.com/shop/products/puppet-ovm_config-module?taxon_id=14) module requires:

- Puppet module [`enterprisemodules-easy_type`](https://forge.puppet.com/enterprisemodules/easy_type) installed.
- Puppet version 4.0 or higher. Can be Puppet Enterprise or Puppet Open Source
- Oracle VM 3.4  or higher
- A valid Oracle VM license
- A valid Enterprise Modules license for usage.
- Runs only on OracleLinux systems.

### Installing the ovm_config module

To install these modules, you can use a `Puppetfile`

```
mod 'enterprisemodules/ovm_config'               ,'1.0.x'
```

Then use the `librarian-puppet` or `r10K` to install the software.

You can also install the software using the `puppet module`  command:

```
puppet module install enterprisemodules-ovm_config
```

## Usage

Building a total Oracle VM setup requires quite some work. To help you get started, we have built [an example](https://github.com/enterprisemodules/simple_ovm_demo).


## Reference

Here you can find some more information regarding this puppet module:

- [The `ovm_config` documentation](https://www.enterprisemodules.com/docs/ovm_config/description.html)

Here are a related blog posts:

- [Enterprise Modules introduces Puppet module to fully manage your Oracle VM setup](https://www.enterprisemodules.com/news/2018/01/puppet-module-for-oracle-vm/)
- [How to manage your Oracle VM setup with Puppet](https://www.enterprisemodules.com/blog/2018/01/how-to-manage-oracle-vm-with-puppet/)

## Limitations

This module runs **only** on OracleLinux Linux versions. It requires a puppet version higher than 4.
