#
# See the file "LICENSE" for the full license governing this code.
#
require 'puppet_x/enterprisemodules/ovm/core'

# Type responsible for managing of Oracle VM CPUs.
module Puppet
  Type.newtype(:ovm_cpu) do
    include Puppet_X::EnterpriseModules::Ovm::Type

    desc <<-EOD
    This resource allows you manage Oracle VM CPU .
    Here is an example on how to use this:

        ovm_cpu { 'default/':
          ensure => 'present',
        }

    EOD

    restfull_type('Cpu')

    ensurable

    parameter :id
    parameter :manager_name
    parameter :name
    parameter :cpu_name

    property  :description

    add_title_attributes(:cpu_name)
  end
end
