#
# See the file "LICENSE" for the full license governing this code.
#
require 'puppet_x/enterprisemodules/ovm/core'

module Puppet
  Type.newtype(:ovm_event_management) do
    include Puppet_X::EnterpriseModules::Ovm::Type

    desc <<-EOD
    This resource allows you manage Oracle VM Event Management.
    Here is an example on how to use this:

        ovm_event_management { 'default':
          ensure                => 'present',
          max_notification_rate => '300',
        }

    EOD

    restfull_type('Utilities/EventManagement/attributes')

    parameter :manager_name
    parameter :name

    property  :max_notification_rate

    # Set the name and manager_name to be the same.
    # Matching occurs on just manager_name and then is assigned twice.
    add_title_attributes(:manager_name) do
      /^(((.*)))$/
    end
  end
end
