#
# See the file "LICENSE" for the full license governing this code.
#
require 'puppet_x/enterprisemodules/ovm/core'

module Puppet
  Type.newtype(:ovm_file_server_plugin) do
    include Puppet_X::EnterpriseModules::Ovm::Type

    desc <<-EOD
    This resource allows you manage Oracle VM Event Management.
    Here is an example on how to use this:

        ovm_file_server_plugin { 'default/Oracle Generic Network File System':
          ensure      => 'present',
          description => 'Oracle Generic Network File System Storage Connect Plugin',
        }

    EOD

    restfull_type('FileServerPlugin')

    ensurable

    parameter :id
    parameter :manager_name
    parameter :name
    parameter :file_server_plugin_name

    property  :description

    add_title_attributes(:file_server_plugin_name)
  end
end
