#
# See the file "LICENSE" for the full license governing this code.
#
require 'puppet_x/enterprisemodules/ovm/core'

module Puppet
  Type.newtype(:ovm_file_system) do
    include Puppet_X::EnterpriseModules::Ovm::Type

    desc <<-EOD
    This resource allows you manage Oracle VM File System.
    Here is an example on how to use this:

        ovm_file_system { 'default/Server Pool File System':
          ensure      => 'present',
          description => 'Just a file system.'
        }

    EOD

    restfull_type('FileSystem')

    ensurable

    parameter :id
    parameter :manager_name
    parameter :name
    parameter :file_system_name

    property  :description

    add_title_attributes(:file_system_name)
  end
end
