#
# See the file "LICENSE" for the full license governing this code.
#
require 'puppet_x/enterprisemodules/ovm/core'

module Puppet
  Type.newtype(:ovm_file_system_mount) do
    include Puppet_X::EnterpriseModules::Ovm::Type

    desc <<-EOD
    This resource allows you manage Oracle VM File System Mount.
    Here is an example on how to use this:

        ovm_file_system_mount { 'default/ovmserver1.example.com_/OVS/Repositories/0004fb0000030000ed1a93d19578a7d3':
          ensure => 'present',
        }

    EOD

    restfull_type('FileSystemMount')

    ensurable

    parameter :id
    parameter :manager_name
    parameter :name
    parameter :file_system_mount_name

    property  :description

    add_title_attributes(:file_system_mount_name)
  end
end
