#
# See the file "LICENSE" for the full license governing this code.
#
require 'puppet_x/enterprisemodules/ovm/core'

module Puppet
  Type.newtype(:ovm_job_management) do
    include Puppet_X::EnterpriseModules::Ovm::Type

    desc <<-EOD
    This resource allows you manage Oracle VM Job Management.
    Here is an example on how to use this:

        ovm_job_management { ...
          ...
          job_lock_timeout => 'true'
          ...
        }

    EOD

    restfull_type('Utilities/JobManagement/attributes')

    parameter :manager_name
    parameter :name

    property  :job_lock_timeout

    # Set the name and manager_name to be the same.
    # Matching occurs on just manager_name and then is assigned twice.
    add_title_attributes(:manager_name) do
      /^(((.*)))$/
    end
  end
end
