#
# See the file "LICENSE" for the full license governing this code.
#
require 'puppet_x/enterprisemodules/ovm/core'

module Puppet
  # Type responsible for managing of ovm server networking
  Type.newtype(:ovm_network) do
    include Puppet_X::EnterpriseModules::Ovm::Type

    desc <<-EOD
    This resource allows you manage networking.
    Here is an example on how to use this:

        ovm_network { 'default/mynetwork1':
          ensure      => 'present',
          description => 'Test network',
          roles       => ['MANAGEMENT', 'STORAGE', 'VIRTUAL_MACHINE'],
        }

    EOD

    restfull_type('Network')

    ensurable

    parameter :id
    parameter :manager_name
    parameter :name
    parameter :network_name

    property :description
    property :roles
    property :vlan_interface_ids
    property :server_id

    add_title_attributes(:network_name)
  end
end
