#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:roles,
            :array_matching => :all,
            :parent => Puppet::Parameter::OvmProperty) do
  include EasyType::ArrayProperty

  desc <<-EOD
  The property allows to set roles for selected Oracle VM Network.
  Here is example how to do this:

      ovm_network { 'default/mynetwork1':
        ensure      => 'present',
        roles       => ['MANAGEMENT', 'CLUSTER_HEARTBEAT', 'LIVE_MIGRATE', 'VIRTUAL_MACHINE', 'STORAGE'],
      }

  EOD

  newvalues('MANAGEMENT', 'CLUSTER_HEARTBEAT', 'LIVE_MIGRATE', 'VIRTUAL_MACHINE', 'STORAGE')
end
