#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:name) do
  include EasyType

  desc <<-EOD
  The name of the OVM Server (hostname).

  EOD

  isnamevar

  to_translate_to_resource do |raw_resource|
    raw_resource['name']
  end

  to_translate_to_resource do | raw_resource|
    manager = raw_resource.fetch('manager')
    pool    = if raw_resource['serverPoolId']
                raw_resource['serverPoolId']['name']
              else
                []
              end
    server  = raw_resource.fetch('name')
    unless pool.empty?
      "#{manager}/#{pool}/#{server}"
    else
      "#{manager}/#{server}"
    end
  end
end
