#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:ntp_servers,
            :array_matching => :all,
            :parent => Puppet::Parameter::OvmProperty) do
  include EasyType::ArrayProperty
  include EasyType::Validators::IPFQDN

  desc <<-EOD
  The property allows to manage NTP Servers assigned for selected Oracle VM Server.
  Here is example how to do this:

      ovm_server { 'default/mypool1/ovmserver1.example.com':
        ...
        ntp_servers  => ['172.28.128.3', '172.28.128.4'],
        ...
      }

  EOD
end
