#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:virtual_ip, :parent => Puppet::Parameter::OvmProperty) do
  include EasyType::Validators::IPAddress

  desc <<-EOD
  Specifies The virtual IP address of the server pool.
  Here is example how to do this:

      ovm_server_pool { ...
        ...
        virtual_ip => '10.1.100.3'
        ...
      }

  EOD

  def insync?(is)
    if provider.servers.any?
      Puppet.info "#{path} Skipping value of virtual_ip after servers are in the pool"
      true
    else
      super
    end

  end
end
