#
# See the file "LICENSE" for the full license governing this code.
#
require 'puppet_x/enterprisemodules/ovm/core'

# Work In Progress
module Puppet
  Type.newtype(:ovm_statistic_management) do
    include Puppet_X::EnterpriseModules::Ovm::Type

    desc <<-EOD
    This resource allows you manage Oracle VM Statistic Management.
    Here is an example on how to use this:

        ovm_statistic_management { 'default':
          enabled              => 'true',
          fs_sampling_interval => '600',
          hold_time            => '60',
          max_queue_size       => '10000',
          per_hour_threshold   => '1000000',
          sampling_interval    => '20',
        }

    EOD

    restfull_type('Utilities/StatisticsManagement/attributes')

    parameter :manager_name
    parameter :name

    property :sampling_interval
    property :hold_time
    property :enabled
    property :max_queue_size
    property :per_hour_threshold
    property :fs_sampling_interval

    # Set the name and manager_name to be the same.
    # Matching occurs on just manager_name and then is assigned twice.
    add_title_attributes(:manager_name) do
      /^(((.*)))$/
    end
  end
end
