#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:access_hosts,
            :array_matching => :all,
            :parent => Puppet::Parameter::OvmProperty) do
  include EasyType::ArrayProperty

  desc <<-EOD
  The access_hosts field of the Storage Array.
  It takes array of hash object.
  Each hash contains the the hostname of storage server, port, username and password used for access.
  Here is example how to do this:

      ovm_storage_array { 'default/array_name':
        ...
        access_hosts => ['.
        {
          'hostname' => '192.168.56.10',
          'port' => 3260,
          'username' => 'admin',
          'password' => 'secretstuff',
        }],        ...
      }

  EOD
end
