#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:storage_type, :parent => Puppet::Parameter::OvmProperty) do
  desc <<-EOD
  The type of storage array you want to add.
  Here is example how to do this:

      ovm_storage_array { 'default/array_name':
        ...
        storage_type => 'ISCSI'
        ...
      }

  EOD

  newvalues('FIBRECHANNEL', 'ISCSI', 'LOCAL', 'UNKNOWN')

  def insync?(is)
    fail ' storage_type cannont be changed. It is readonly' if is.to_s != should.to_s
    true
  end
end

