#
# See the file "LICENSE" for the full license governing this code.
#
require 'puppet_x/enterprisemodules/ovm/core'

module Puppet
  Type.newtype(:ovm_storage_array_plugin) do
    include Puppet_X::EnterpriseModules::Ovm::Type

    desc <<-EOD
    This resource allows you manage Oracle VM Storage Array Plugin.
    Here is an example on how to use this:

        ovm_storage_array_plugin { 'default/Oracle Generic SCSI Plugin':
          ensure => 'present',
        }

    EOD
    restfull_type('StorageArrayPlugin')

    ensurable

    parameter :id
    parameter :manager_name
    parameter :name
    parameter :storage_array_plugin_name

    property  :description

    add_title_attributes(:storage_array_plugin_name)
  end
end
