#
# See the file "LICENSE" for the full license governing this code.
#
require 'puppet_x/enterprisemodules/ovm/core'

module Puppet
  Type.newtype(:ovm_storage_target) do
    include Puppet_X::EnterpriseModules::Ovm::Type

    desc <<-EOD
    This resource allows you manage Oracle VM Oracle Storage Target.
    Here is an example on how to use this:

        ovm_storage_target { 'default/name':
          ensure => 'present',
        }

    EOD

    restfull_type('StorageTarget')

    ensurable

    parameter :id
    parameter :manager_name
    parameter :name
    parameter :storage_target_name

    property  :description

    add_title_attributes(:storage_target_name)
  end
end
