#
# See the file "LICENSE" for the full license governing this code.
#
require 'puppet_x/enterprisemodules/ovm/core'

module Puppet
  Type.newtype(:ovm_tag) do
    include Puppet_X::EnterpriseModules::Ovm::Type

    desc <<-EOD
    This resource allows you manage Oracle VM tags.
    Here is an example on how to use this:

        ovm_tag { 'default/tag':
          ensure => 'present',
        }

    EOD

    restfull_type('ResourceGroup')

    def create_payload
      {
        'name'              => tag_name,
        'resourceGroupType' => 'USER_LABEL'
      }
    end

    ensurable

    parameter :id
    parameter :manager_name
    parameter :name
    parameter :tag_name

    add_title_attributes(:tag_name)
  end
end
