#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:async) do
  include EasyType
  include EasyType::Mungers::Boolean

  desc <<-EOD
  The async field of the ovm_virtual_disk.
  This applies only to the virtual disk iso download `VIRTUAL_CDROM`.
  If the async is set to true than the iso is downloaded in async and the job is not validated.
  This defaults to false.
  Here is example how to do this:

      ovm_virtual_disk { ...
        ...
        async => true
        ...
      }

  EOD

  newvalues(true, false)
  defaultto false
end
