#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:urls) do
  include EasyType::ArrayProperty

  desc <<-EOD
  The urls field of the ovm_virtual_disk.
  This field only applies to the `VIRTUAL_CDROM` type of Virtual Disk.
  Here is example how to do this:

      ovm_virtual_disk { ...
        ...
        urls => ['https://buildlogs.centos.org/centos/7/isos/x86_64/CentOS-7-x86_64-Minimal-1609-99.iso']
        ...
      }

  EOD

  validate do |value|
    fail 'No URL found. Please provide iso URL address.' if value.empty? && disk_type == 'VIRTUAL_CDROM'
  end
end
