#
# See the file "LICENSE" for the full license governing this code.
#
require 'puppet_x/enterprisemodules/ovm/core'

module Puppet
  # Type responsible for managing of ovm virtual nics available for manager
  Type.newtype(:ovm_virtual_nic) do
    include Puppet_X::EnterpriseModules::Ovm::Type

    desc <<-EOD
    This resource allows you manage Oracle VM Virtual Nics.
    Here is an example on how to use this:

        ovm_virtual_nic { 'default/vm_name/nic_name':
          ensure => 'present',
        }

    EOD

    restfull_type('VirtualNic')

    def create_path
      require 'byebug';debugger
      "#{::Puppet_X::EnterpriseModules::Ovm::Type::BASE_PATH}/Vm/#{vm_id}/#{restfull_type}"
    end

    ensurable

    parameter :id
    parameter :manager_name
    parameter :name
    parameter :vm_name
    parameter :virtual_nic_name

    property  :description
    property  :mac_address
    property  :network

    add_title_attributes(:vm_name, :virtual_nic_name) { /(.+)\/(.+)/}
  end
end
