#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:network, :parent => Puppet::Parameter::OvmProperty) do
  include Puppet_X::EnterpriseModules::Ovm::Data

  desc <<-EOD
  The description field of the ovm_virtual_nic.
  Here is example how to do this:

      ovm_virtual_nic { ...
        ...
        network => 'test-network'
        ...
      }

  EOD

  maps_to('networkId.name')

  create_payload do | payload|
    transform_payload(payload)
  end

  update_payload do |payload|
    transform_payload(payload)
  end

  def transform_payload(payload)
    payload.delete('network')
    payload['networkId'] = network_id_for(value)
    payload
  end
end
