#
# See the file "LICENSE" for the full license governing this code.
#
require 'puppet_x/enterprisemodules/ovm/core'

module Puppet
  # Type responsible for managing of ovm file servers available for manager
  Type.newtype(:ovm_vlan_interface) do
    include Puppet_X::EnterpriseModules::Ovm::Type

    desc <<-EOD
    This resource allows you manage Oracle VM VLan Interfaces.
    Here is an example on how to use this:

        ovm_vlan_interface { 'default/eth0.2 on ovmserver1.example.com':
          ensure => 'present',
        }

    EOD

    restfull_type('VlanInterface')

    ensurable

    parameter :file_server_name
    parameter :id
    parameter :manager_name
    parameter :name
    parameter :vlan_name

    property  :description

    add_title_attributes(:vlan_name)
  end
end
