#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:boot_order,
            :array_matching => :all,
            :parent => Puppet::Parameter::OvmProperty) do
  include EasyType::ArrayProperty

  desc <<-EOD
  The property allows to manage Boot Order for selected Oracle VM Virtual Machine.
  Here is example how to do this:

      ovm_vm { 'default/mypool1/ovmserver1.example.com:myvm2':
        ...
        boot_order              => ['DISK', 'CDROM'],
        ...
      }

  EOD
end
