#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:cpu_count_limit, :parent => Puppet::Parameter::OvmProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-EOD
  The property allows to manage CPU Count Limit for selected Oracle VM Virtual Machine.
  Here is example how to do this:

      ovm_vm { 'default/mypool1/ovmserver1.example.com:myvm2':
        ...
        cpu_count_limit => '2',
        ...
      }

  EOD
end
