#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:cpu_utilization_cap, :parent => Puppet::Parameter::OvmProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-EOD
  The property allows to manage CPU Utilization Cap for selected Oracle VM Virtual Machine.
  Here is example how to do this:

      ovm_vm { 'default/mypool1/ovmserver1.example.com:myvm2':
        ...
        cpu_utilization_cap => 90,
        ...
      }

  EOD
end
