#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:name) do
  include EasyType

  desc <<-EOD
  The name of the OVM VM (Virtual Machine).

  EOD

  isnamevar

  to_translate_to_resource do |raw_resource|
    manager    = raw_resource.fetch('manager')
    repository = raw_resource.dig('repositoryId','name')
    pool       = raw_resource.dig('serverPoolId','name')
    server     = raw_resource.dig('serverId', 'name')
    repository ||= 'undefined'
    pool       ||= 'undefined'
    server     ||= 'undefined'
    vm         = raw_resource.fetch('name')
    "#{manager}/#{repository}/#{pool}/#{server}/#{vm}"
  end
end
