#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:ovm_tags,
            :array_matching => :all,
            :parent => Puppet::Parameter::OvmProperty) do
  include EasyType::ArrayProperty

  desc <<-EOD
  Specifies the tags enabled for the resource.
  This property can be used for a lot of resources.
  Here is example how to do this:

      ovm_... { ...
        ...
        ovm_tags => ['tag-1','tag-2'],
        ...
      }

  EOD

  on_apply do
    nil
  end

  maps_to('resourceGroupIds.name')
end
