#
# See the file "LICENSE" for the full license governing this code.
#
module Puppet_X
  module EnterpriseModules
    module Ovm
      #
      # Parse titles of the types to the puppet name parameters
      #
      module TitleParser
        def add_title_attributes(*attributes, &proc)
          base_regexp           = proc ? yield : /(.+)/
          standard_regexp       = Regexp.new("^(#{base_regexp.source})$")
          with_manager_regexp   = Regexp.new("^((.+?)\/#{base_regexp.source})$")

          map_titles_to_attributes([
            with_manager_regexp, [:name] + [:manager_name] + attributes,
            standard_regexp, [:name] + attributes
          ])
        end
      end
    end
  end
end
