#
# See the file "LICENSE" for the full license governing this code.
#
#
# Open up required firewall ports
#
class ovm_config::firewall(
  Array[Integer]  $tcp_ports = [7001, 7002],
  Array[Integer]  $udp_ports = [123, 10000],
){

  $tcp_ports.each |$port| {
    firewalld_port { "OVMM TCP port ${port}":
      ensure   => present,
      zone     => 'public',
      port     => $port,
      protocol => 'tcp',
    }
  }
  $udp_ports.each |$port| {
    firewalld_port { "OVMM UDP port ${port}":
      ensure   => present,
      zone     => 'public',
      port     => $port,
      protocol => 'udp',
    }
  }
}
