#
# See the file "LICENSE" for the full license governing this code.
#
#
# Install the Oracle VM Manager
#
class ovm_config::installovmm(
  Stdlib::Absolutepath $source,
  Optional[String]     $password,
  String               $fqdn,
  Integer              $db_port       = 49500,
  String               $db_schema     = 'ovs',
  String               $wls_username  = 'weblogic',
  String               $ovm_username  = 'admin',
  String               $ovm_password  = $password,
  String               $wls_password  = $password,
  String               $db_password   = $password,
  Boolean              $ignore_checks = false,
  Variant[ Boolean, Enum['on_failure']] $logoutput = 'on_failure',
){

  #
  # Run next stages to install Oracle VM Manager
  #
  easy_type::staged_contain([
    '::ovm_config::users_groups',
    '::ovm_config::limits',
    '::ovm_config::packages',
    '::ovm_config::firewall',
    '::ovm_config::software',
  ])
}
