#
# See the file "LICENSE" for the full license governing this code.
#
#
# Make sure all OVM required packages are installed and forbidden packages
# are removed
#
class ovm_config::packages(
  Array[String] $required_packages  = ['zip', 'unzip', 'perl-Data-Dumper' ,'libaio' ,'net-tools'],
  Array[String] $forbidden_packages = ['mariadb-libs'],
)
{
  $required_packages.each |$package| {
    unless defined(Package[$package]) {
      package{ $package: ensure => 'present',}
    }
  }

  $forbidden_packages.each |$package| {
    unless defined(Package[$package]) {
      package{ $package: ensure => 'absent',}
    }
  }

}
