#
# See the file "LICENSE" for the full license governing this code.
#
#
# Make sure all users and groups required for OVM are available.
#
class ovm_config::users_groups(
  Integer $oinstall_gid = 54321,
  Integer $dba_gid      = 54322,
  Integer $oracle_uid   = 54321,
){
  group {'oinstall':
    ensure => 'present',
    gid    => $oinstall_gid,
  }

  group {'dba':
    ensure => 'present',
    gid    => $dba_gid
  }

  user {'oracle':
    ensure     => 'present',
    uid        => $oracle_uid,
    managehome => true,
    groups     => ['dba', 'oinstall']
  }
}


